/**
 * Fetch and return all availible kinds.
 */
export declare function useAllKinds(): {
    loading: boolean;
    error?: Error;
    allKinds: string[];
};
/**
 * Filter and capitalize accessible kinds.
 */
export declare function filterKinds(allKinds: string[], allowedKinds?: string[], forcedKinds?: string): Record<string, string>;
